--Light Select Render Element Maker
--Written by Dave Wortley
--Version 0.1
--Untested
--
--Makes a Light Select Render Element per chosen Light.

try(DestroyDialog DW_LightSelect) catch()

AR_lightList = #()
AR_LightSelect = #()

rollout DW_LightSelect "Light Select Render Element Maker" width:297 height:284
(
	listbox lbx_allLights "All Lights" pos:[6,10] width:127 height:17
	listbox lbx_selectLights "Selected Lights" pos:[162,8] width:127 height:17
	button btn_add ">" pos:[138,31] width:20 height:44
	button btn_Remove "<" pos:[138,80] width:20 height:44
	button btn_make "Make Light Selects" pos:[162,260] width:128 height:17
	button btn_all "All" pos:[138,128] width:20 height:44
		
	on DW_LightSelect open do
	(
	
		for o in objects where superclassof o == light do append AR_lightList o.name
		lbx_allLights.items = AR_LightList
		
	
	)
	on btn_add pressed do
	(
		--add
		if lbx_allLights.selected != undefined then
		(
			append AR_LightSelect lbx_allLights.selected
			lbx_selectLights.items = AR_LightSelect
			
			deleteItem AR_LightList lbx_allLights.selection
			lbx_allLights.items = AR_LightList
		)
	)
	on btn_Remove pressed do
	(
		--remove
		if lbx_selectLights.selected != undefined then
		(
			append AR_LightList lbx_selectLights.selected
			lbx_allLights.items = AR_LightList
			
			deleteitem AR_LightSelect lbx_allLights.selection
			lbx_selectLights.items = AR_LightSelect
		)
		
	)
	on btn_make pressed do
	(
		--make elements
		theManager = maxOps.GetRenderElementMgr #Production

		--for o in selection where superclassof o == Light do
		for o in AR_LightSelect do
		(
			theManager.AddRenderElement (VrayLightSelect elementname:("LightSelect_" + o + "_") lights:#((getnodebyname o)))
			--print (getnodebyname o)
		
		)
		
		Messagebox (AR_LightSelect.count as string + " Light Select Elements Created")
		
	)
	on btn_all pressed do
	(
		--add all
		if lbx_allLights.items.count != 0 then
		(
			for i = 1 to lbx_allLights.items.count do
			(
				append AR_Lightselect lbx_allLights.items[i]
				lbx_selectLights.items = AR_LightList
			)
			AR_LightList = #()
			lbx_allLights.items = AR_LightList
		)
		
	)
)


CreateDialog DW_LightSelect